package tools;

import geocode.DBManager;
import geocode.GeoData;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;

import setting.GeocodeSettings;

public class DataInsert {
	public static void main(String args[]) {

		// O
		GeocodeSettings settings = new GeocodeSettings();
		settings.readConfigFile();
		DBManager manager = new DBManager(settings);

		try {
			BufferedReader br = new BufferedReader(new FileReader(
					"NewGeoInfo.csv"));
			String input;
			long start = System.currentTimeMillis();
			int count = 0;
			while ((input = br.readLine()) != null) {
				// 100ƂɃJE^\
				if (count % 100 == 0)
					System.out.println("pos: " + count);

				// CSVt@C݂
				StringTokenizer line = new StringTokenizer(input, ",");
				line.nextToken();
				String locationName = line.nextToken();
				line.nextToken();
				String lat = line.nextToken();
				String lon = line.nextToken();
				if (manager.keyExist(locationName)) {
					count++;
					continue;
				}
				// NGXgo^
				List<String> list = new ArrayList<String>();
				list.add(locationName);
				manager.addKey(locationName, list);
				// no^
				GeoData data = new GeoData(locationName, lat, lon);
				manager.addData(data);
				count++;
			}
			long stop = System.currentTimeMillis();
			double time = (stop - start) * 0.001;
			System.out.println("time: " + time);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}

	}

}